﻿using System.Net;
using System.Net.Mail;
using System.Net.Mime;
using System.Text;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            MailMessage mailMessage = new MailMessage();

            mailMessage.From            = new MailAddress("icodebroker@naver.com", "icodebroker", Encoding.UTF8);
            mailMessage.SubjectEncoding = Encoding.UTF8;
            mailMessage.Subject         = "테스트 메일";
            mailMessage.BodyEncoding    = Encoding.UTF8;
            mailMessage.Body            = "테스트 메일 입니다.";

            mailMessage.To.Add(new MailAddress("icodebroker@naver.com", "icodebroker", Encoding.UTF8));

            Attachment attachment = new Attachment("IMAGE\\sample.png", new ContentType("image/png"));

            mailMessage.Attachments.Add(attachment);

            SmtpClient smtpClient = new SmtpClient("smtp.naver.com");

            smtpClient.Port        = 587;
            smtpClient.Credentials = new NetworkCredential("userid", "password");
            smtpClient.EnableSsl   = true;

            smtpClient.Send(mailMessage);
        }

        #endregion
    }
}